Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit
Class ParameterValueType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.ParameterValueType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ParameterValueType

extends Object
implements Serializable

Java class for ParameterValueType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParameterValueType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Quantity" type="{urn:be:fgov:ehealth:dics:core:v3:core}QuantityType"/>
             <element name="QuantityRange" type="{urn:be:fgov:ehealth:dics:core:v3:core}RangeType"/>
             <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v3:core}StrengthType"/>
             <element name="StrengthRange" type="{urn:be:fgov:ehealth:dics:core:v3:core}StrengthRangeType"/>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Boolean" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParameterValueType()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`QuantityType` | `getQuantity()` Gets the value of the quantity property.
`RangeType` | `getQuantityRange()` Gets the value of the quantityRange property.
`StrengthType` | `getStrength()` Gets the value of the strength property.
`StrengthRangeType` | `getStrengthRange()` Gets the value of the strengthRange property.
`Boolean` | `isBoolean()` Gets the value of the boolean property.
`void` | `setBoolean(Boolean value)` Sets the value of the boolean property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setQuantity(QuantityType value)` Sets the value of the quantity property.
`void` | `setQuantityRange(RangeType value)` Sets the value of the quantityRange property.
`void` | `setStrength(StrengthType value)` Sets the value of the strength property.
`void` | `setStrengthRange(StrengthRangeType value)` Sets the value of the strengthRange property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterValueType

    public ParameterValueType()

Method Detail

### isBoolean

    public Boolean isBoolean()

  Gets the value of the boolean property.

  Returns:
    possible object is `Boolean`

### setBoolean

    public void setBoolean(Boolean value)

  Sets the value of the boolean property.

  Parameters:
    `value` - allowed object is `Boolean`

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getStrengthRange

    public StrengthRangeType getStrengthRange()

  Gets the value of the strengthRange property.

  Returns:
    possible object is `StrengthRangeType`

### setStrengthRange

    public void setStrengthRange(StrengthRangeType value)

  Sets the value of the strengthRange property.

  Parameters:
    `value` - allowed object is `StrengthRangeType`

### getStrength

    public StrengthType getStrength()

  Gets the value of the strength property.

  Returns:
    possible object is `StrengthType`

### setStrength

    public void setStrength(StrengthType value)

  Sets the value of the strength property.

  Parameters:
    `value` - allowed object is `StrengthType`

### getQuantityRange

    public RangeType getQuantityRange()

  Gets the value of the quantityRange property.

  Returns:
    possible object is `RangeType`

### setQuantityRange

    public void setQuantityRange(RangeType value)

  Sets the value of the quantityRange property.

  Parameters:
    `value` - allowed object is `RangeType`

### getQuantity

    public QuantityType getQuantity()

  Gets the value of the quantity property.

  Returns:
    possible object is `QuantityType`

### setQuantity

    public void setQuantity(QuantityType value)

  Sets the value of the quantity property.

  Parameters:
    `value` - allowed object is `QuantityType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.